package com.goafanti.common.dao;

import java.math.BigDecimal;
import java.util.List;

import com.goafanti.cognizance.bo.AnnualReportMainBo;
import com.goafanti.cognizance.bo.AnnualReportPropertyRightBo;
import com.goafanti.common.model.OrgAnnualReport;

public interface OrgAnnualReportMapper {
    int deleteByPrimaryKey(String id);

    int insert(OrgAnnualReport record);

    int insertSelective(OrgAnnualReport record);

    OrgAnnualReport selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OrgAnnualReport record);

    int updateByPrimaryKey(OrgAnnualReport record);

	int batchDeleteByPrimaryKey(List<String> id);

	AnnualReportPropertyRightBo selectAnnualReportPropertyRightBoByYearAndUid(Integer year, String uid);

	BigDecimal selectAnnualReportTerritoryByYearAndUid(Integer year, String uid);

	AnnualReportMainBo selectAnnualReportMainBoByYearAndUid(Integer year, String uid);

	OrgAnnualReport selectAnnualReportByYearAndUid(Integer year, String uid);
}